<?php
$veiculos = $args['veiculos'] ?? [];
?>

<div class="w-full flex flex-col p-4 tablet:p-8 dark:bg-black">
<?php foreach ($veiculos as $veiculo): ?>    
    <?php
        set_query_var( 'veiculo', $veiculo['objeto'] );
        get_template_part('template-parts/geral/session', 'list-veiculo', $veiculo); 
    ?>    
<?php endforeach; ?>
</div>